import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("deals_popup_cms")
export class DealsPopupCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    dealsCategoryTitle: string;

    @Column({ default: null, nullable: true })
    dealsCategoryButtonText: string;

    @Column({ default: null, nullable: true })
    bannerOneImage: string;

    @Column({ default: null, nullable: true })
    bannerOneButtonText: string;

    @Column({ default: null, nullable: true })
    bannerOneButtonLink: string;

    @Column({ default: null, nullable: true })
    bannerTwoTitle: string;

    @Column({ default: null, nullable: true })
    bannerTwoImage: string;

    @Column({ default: null, nullable: true })
    bannerTwoButtonText: string;

    @Column({ default: null, nullable: true })
    bannerTwoButtonLink: string;

    @Column({ default: null, nullable: true })
    dealsTitle: string;

    @Column({ default: null, nullable: true })
    openNowButtonText: string;

    @Column({ default: null, nullable: true })
    openNowButtonFile: string;

    @Column({ default: 0 })
    showOpenNowButton: number;
}
