import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { DutchiePlusCustomerService } from "./dutchie-plus-customer.service";

@Controller({
    path: "customer",
    version: Constants.API_VERSION_1
})
export class DutchiePlusCustomerController {
    constructor(private readonly dutchiePlusCustomerService: DutchiePlusCustomerService) {
    }

    @Post("/multiple")
    @HttpCode(HttpStatus.OK)
    fetchMultipleCustomer(@Body() variables: any) {
        return this.dutchiePlusCustomerService.fetchMultipleCustomer(variables);
    }

    @Post("/single")
    @HttpCode(HttpStatus.OK)
    fetchSingleCustomer(@Body() variables: any) {
        return this.dutchiePlusCustomerService.fetchSingleCustomer(variables);
    }
}
