import { IsNotEmpty } from "class-validator";
import { Column } from "typeorm";

export class BaseAboutPageSectionTwoCmsDto {
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subTitle: string;

    @IsNotEmpty()
    imageOne: string;

    @IsNotEmpty()
    titleOne: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionOne: string;

    @IsNotEmpty()
    imageTwo: string;

    @IsNotEmpty()
    titleTwo: string;

    @IsNotEmpty()
    descriptionTwo: string;

    @IsNotEmpty()
    imageThree: string;

    @IsNotEmpty()
    titleThree: string;

    @IsNotEmpty()
    descriptionThree: string;
}