import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("shop_page_banner_cms")
export class ShopPageBannerCms extends CoreEntity {

    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    imageBackgroundColor: string;

    @Column({ default: null, nullable: true })
    bgColor: string;

    @Column({ default: true, nullable: true })
    isImageOrColor: boolean;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;
}
